TAAS - Feature #256

Hotel Productivity Report
07/09/2023 04:20 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Athira KK % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Hotel Productivity Report

Description

Coding Hotel Productivity Report

History

#1 - 07/09/2023 04:22 PM - Anil KV

- Assignee set to travvise Admin

#2 - 08/07/2023 10:01 AM - Anonymous

- Assignee changed from travvise Admin to Karthika V Anand

#3 - 08/08/2023 12:02 PM - Karthika V Anand
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#4 - 09/25/2023 02:01 PM - Junaid M

SELECT
spd.pk_supp_doc_no_id,
htlm.vhr_hotel_code,
htlm.vhr_hotel_name,
htlm.vhr_display_name,

htl.sin_record_type,

hfd.dbl_supplier_amount,
hfd.dbl_normal_profit

FROM service.tbl_supp_doc_no AS spd
LEFT JOIN hotel.tbl_hotel_gen_data hotgen

ON spd.pk_supp_doc_no_id = hotgen.fk_supp_doc_no_id
LEFT JOIN hotel.tbl_hotel AS htl

ON spd.pk_supp_doc_no_id = htl.fk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare AS hfd

ON spd.fk_issue_base_fare_id = hfd.pk_supp_doc_fare_id -- Currecy inputbase Choose the field

LEFT JOIN hotel.tbl_hotel_master AS htlm

ON hotgen.fk_hotel _master_id = htlm.pk_hotel_master_id

WHERE spd.sin_supp_doc_category = 2
AND spd.sin_last_action != -1
AND ((sin_record_type = 1 AND spd.dat_issue BETWEEN '2023-07-01' AND '2023-07-31' --Sales side
AND spd.sin_sys_sale_side_status =1
)
OR (sin_record_type = 2 AND spd.dat_cancel BETWEEN '2023-07-01' AND '2023-07-31' --Refund side where
AND spd.sin_sys_refund_side_status IN (1,2)

))

AND htl.fk_branch_id = ANY('{1,2}'::BIGINTI[])
AND htl.fk_department_id = ANY('{1,2}'::BIGINT[])
AND hfd.vhr_currency = 'QAR'
AND htl.fk_supplier_ac_id = ?

Consider where condition Refer -> Any SaleAndRefund Cs query code

#5 - 09/25/2023 05:36 PM - Karthika V Anand
- Status changed from Coding Started to Particialy Coding Done

#6 - 09/29/2023 03:02 PM - Karthika V Anand
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#7 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#8 - 10/26/2023 04:03 PM - unnikannan S

- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.SHOW BASE 1 QAR WISE CHANGE IN AMOUNT FIELDS

#9 - 11/02/2023 06:04 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.SHOW BASE 1 QAR WISE CHANGE IN AMOUNT FIELDS

#10 - 11/09/2023 11:44 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING ONLY DATA FROM ISSUE MODULES NO DATA FROM OTHER HOTE SALE,CANCEL,REFUND,VOID MODULES
#11 - 11/09/2023 04:07 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.SHOWING ONLY DATA FROM ISSUE MODULES NO DATA FROM OTHER HOTE SALE,CANCEL,REFUND,VOID MODULES
#12 - 12/27/2023 12:39 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE SEARCHING CONSIDER OPTIONS WITH CANCEL/REFUND (ERROR SHOWING {})
#13 - 12/30/2023 10:58 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
ISSUE FIXED
1.ERROR WHILE SEARCHING CONSIDER OPTIONS WITH CANCEL/REFUND (ERROR SHOWING {})
#14 - 01/03/2024 12:52 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED
1.MISSING AMOUNT IN LIST WHILE DIRECT CANCELLING A VOUCHER SHOWING COUNT ONLY
#15 - 01/03/2024 06:32 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED
1.MISSING AMOUNT IN LIST WHILE DIRECT CANCELLING A VOUCHER SHOWING COUNT ONLY
#16 - 02/12/2024 10:55 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR DELETED ACCOUNTS SHOWING IN Ul FILTER FIELDS (SUPPLIER)
2.DISABLE RESET BUTTON IN CASE THERE IS NO DATA IS FOUND

#17 - 02/12/2024 04:17 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CLEAR DELETED ACCOUNTS SHOWING IN Ul FILTER FIELDS (SUPPLIER)
2.DISABLE RESET BUTTON IN CASE THERE IS NO DATA IS FOUND

#18 - 02/12/2024 05:11 PM - unnikannan S
TESTING DONE

#19 - 03/22/2024 11:02 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.FIX BUGS ON CONSIDER WISE SEARCHING
2.SHOWING ITEM COUNT AS 1 IN LIST WHILE SAVING A COPY OF A SAVED VOUCHER

#20 - 03/22/2024 11:15 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.FIX BUGS ON CONSIDER WISE SEARCHING
2.SHOWING ITEM COUNT AS 1 IN LIST WHILE SAVING A COPY OF A SAVED VOUCHER

#21 - 10/03/2024 02:15 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Testing Done

05/03/2025

3/4



- % Done changed from 70 to 90

#22 - 04/03/2025 04:35 PM - Theja Ponon
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue Found

1)Cancelled voucher showing in issued status

#23 - 04/03/2025 04:36 PM - Theja Ponon
- Assignee changed from Vivekp V to Athira KK

#24 - 04/04/2025 11:27 AM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 04/04/2025 12:08 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
